package com.bonus.canteen.core.account.v3.service;

import com.bonus.canteen.core.account.v3.api.dto.AccOrdBaseDTO;
import com.bonus.canteen.core.account.v3.api.dto.AccOrdRefundDTO;
import com.bonus.canteen.core.account.v3.web.dto.AccOrdMixPayResultDTO;
import com.bonus.canteen.core.account.v3.web.vo.AccOrdBasicsVO;

import java.util.List;

public interface AccPayService {

   AccOrdBasicsVO accPayForOffline(AccOrdBaseDTO accOrdOfflineDTO);

   AccOrdBasicsVO accOrdForRefund(AccOrdRefundDTO accOrdRefundDTO);

   List<Integer> getWalletPayDefaultOrder();

   AccOrdBasicsVO accPayForMixPay(AccOrdBaseDTO accPayMixPayDTO);

   AccOrdBasicsVO accPayForOnline(AccOrdBaseDTO accOrdOnlineDTO);

   AccOrdBasicsVO accPayForMixPayResult(AccOrdMixPayResultDTO accPayMixPayResultDTO);
}
